<?php

namespace Lucent\Query\DatabaseGraph;

use Lucent\Query\QueryOptions;

interface DatabaseGraph
{
    /**
     * @param array<string> $ids
     */
    public function getChildren(array $ids, QueryOptions $options): array;
    public function getParents(array $ids, QueryOptions $options): array;
}